<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8"/>
<title>Test highlight.js</title>
<meta name="author" content="Jens Lechtenbörger"/>
<style type="text/css">
.underline { text-decoration: underline; }
</style>
<link rel="stylesheet" href="./reveal.js/css/reveal.css"/>

<link rel="stylesheet" href="./reveal.js/css/theme/black.css" id="theme"/>
<link rel="stylesheet" href="./reveal.js/lib/css/zenburn.css"/>

<!-- If the query includes 'print-pdf', include the PDF print sheet -->
<script>
    if( window.location.search.match( /print-pdf/gi ) ) {
        var link = document.createElement( 'link' );
        link.rel = 'stylesheet';
        link.type = 'text/css';
        link.href = './reveal.js/css/print/pdf.css';
        document.getElementsByTagName( 'head' )[0].appendChild( link );
    }
</script>
</head>
<body>
<div class="reveal">
<div class="slides">
<section id="sec-title-slide">
<h1 class="title">Test highlight.js</h1><h2 class="author">Jens Lechtenbörger</h2><p class="date">Created:{{date}}</p>
</section>
<section id="table-of-contents-section">
<div id="table-of-contents">
<h2>Table of Contents</h2>
<div id="text-table-of-contents">
<ul>
<li><a href="#/slide-1">1. Tests for different languages</a>
<ul>
<li><a href="#/slide-1-1">1.1. HTML</a></li>
<li><a href="#/slide-1-2">1.2. JavaScript</a></li>
<li><a href="#/slide-1-3">1.3. Python</a></li>
<li><a href="#/slide-1-4">1.4. Go</a></li>
</ul>
</li>
</ul>
</div>
</div>
</section>

<section>
<section id="slide-1">
<h2 id="1"><span class="section-number-2">1</span> Tests for different languages</h2>
<div class="outline-text-2" id="text-1">
</div>
</section>
<section id="slide-1-1">
<h3 id="1-1"><span class="section-number-3">1.1</span> HTML</h3>
<div class="org-src-container">

<pre><code class="html" >&lt;h1 class="whatever"&gt;hello, what's your name&lt;/h1&gt;
</code></pre>
</div>

</section>
<section id="slide-1-2">
<h3 id="1-2"><span class="section-number-3">1.2</span> JavaScript</h3>
<div class="org-src-container">

<pre><code class="js" >console.log("success");
var x='string using single quote';
x
</code></pre>
</div>

</section>
<section id="slide-1-3">
<h3 id="1-3"><span class="section-number-3">1.3</span> Python</h3>
<div class="org-src-container">

<pre><code class="python" >def factorial(n):
    if n &lt; 2:
	return 1
    else:
	return n * factorial(n - 1)

print(factorial(10))
</code></pre>
</div>

</section>
<section id="slide-1-4">
<h3 id="1-4"><span class="section-number-3">1.4</span> Go</h3>
<div class="org-src-container">

<pre><code class="go" >type Allergen int

const (
    IgEggs Allergen = 1 &lt;&lt; iota // 1 &lt;&lt; 0 which is 00000001
    IgChocolate                 // 1 &lt;&lt; 1 which is 00000010
    IgNuts                      // 1 &lt;&lt; 2 which is 00000100
    IgStrawberries              // 1 &lt;&lt; 3 which is 00001000
    IgShellfish                 // 1 &lt;&lt; 4 which is 00010000
)
</code></pre>
</div>
</section>
</section>
</div>
</div>
<script src="./reveal.js/lib/js/head.min.js"></script>
<script src="./reveal.js/js/reveal.js"></script>
<script>
// Full list of configuration options available here:
// https://github.com/hakimel/reveal.js#configuration
Reveal.initialize({

controls: true,
progress: true,
history: false,
center: true,
slideNumber: 'c',
rollingLinks: false,
keyboard: true,
mouseWheel: false,
fragmentInURL: false,
hashOneBasedIndex: false,
pdfSeparateFragments: true,
overview: true,
width: 1400,
height: 1000,

theme: Reveal.getQueryHash().theme, // available themes are in /css/theme
transition: Reveal.getQueryHash().transition || 'convex', // see README of reveal.js for options
transitionSpeed: 'default',

// Optional libraries used to extend reveal.js
dependencies: [
 { src: './reveal.js/plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } }]

});
</script>
</body>
</html>
